kmdi Library: KMdiDocumentViewTabWidget Class Reference (kmdi Library)

| # kmdi Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMdiDocumentViewTabWidget Class Reference

A reimplementation of KTabWidget for KMDI. More...

`#include <kmdidocumentviewtabwidget.h>`

List of all members.

## Public Slots
void | updateIconInView (QWidget *, QPixmap)
void | updateCaptionInView (QWidget *, const QString &)
## Signals
void | initiateTabMove (int, int)
## Public Member Functions
| KMdiDocumentViewTabWidget (QWidget *parent, const char *name=0)
virtual void | addTab (QWidget *child, const QString &label)
virtual void | addTab (QWidget *child, const QIconSet &iconset, const QString &label)
virtual void | addTab (QWidget *child, QTab *tab)
virtual void | insertTab (QWidget *child, const QString &label, int index=-1)
virtual void | insertTab (QWidget *child, const QIconSet &iconset, const QString &label, int index=-1)
virtual void | insertTab (QWidget *child, QTab *tab, int index=-1)
virtual void | removePage (QWidget *w)
KMdi::TabWidgetVisibility | tabWidgetVisibility ()
void | setTabWidgetVisibility (KMdi::TabWidgetVisibility)

## Detailed Description

A reimplementation of KTabWidget for KMDI.

Definition at line 22 of file kmdidocumentviewtabwidget.h.

## Member Function Documentation

void KMdiDocumentViewTabWidget::addTab | ( | QWidget * | child,
|  | const QString & | label
| ) | `[virtual]`

| Add a tab into the tabwidget. See also: QTabWidget KTabWidget Definition at line 33 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::addTab | ( | QWidget * | child,
|  | const QIconSet & | iconset,
|  | const QString & | label
| ) | `[virtual]`

| Add a tab into the tabwidget. See also: QTabWidget KTabWidget Definition at line 40 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::addTab | ( | QWidget * | child,
|  | QTab * | tab
| ) | `[virtual]`

| Add a tab into the tabwidget. See also: QTabWidget KTabWidget Definition at line 47 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::insertTab | ( | QWidget * | child,
|  | const QString & | label,
|  | int | index = `-1`
| ) | `[virtual]`

| Insert a tab into the tabwidget with a label. See also: QTabWidget KTabWidget Definition at line 54 of file kmdidocumentviewtabwidget.cpp. Referenced by KMdiMainFrm::addWindow().

void KMdiDocumentViewTabWidget::insertTab | ( | QWidget * | child,
|  | const QIconSet & | iconset,
|  | const QString & | label,
|  | int | index = `-1`
| ) | `[virtual]`

| Inserts a tab into the tabwidget with an icon and label. See also: QTabWidget KTabWidget Definition at line 62 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::insertTab | ( | QWidget * | child,
|  | QTab * | tab,
|  | int | index = `-1`
| ) | `[virtual]`

| Inserts a tab into the tabwidget. See also: QTabWidget KTabWidget Definition at line 70 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::removePage | ( | QWidget * | w | ) | `[virtual]`

| Removes the tab from the tabwidget. See also: QTabWidget KTabWidget Definition at line 78 of file kmdidocumentviewtabwidget.cpp.

KMdi::TabWidgetVisibility KMdiDocumentViewTabWidget::tabWidgetVisibility | ( |  | ) |

| Set the tab widget's visibility and then make the change to match the new setting. Definition at line 141 of file kmdidocumentviewtabwidget.cpp. Referenced by KMdiMainFrm::tabWidgetVisibility().

void KMdiDocumentViewTabWidget::setTabWidgetVisibility | ( | KMdi::TabWidgetVisibility |  | ) |

| Get the tab widget's visibility. Definition at line 129 of file kmdidocumentviewtabwidget.cpp. Referenced by KMdiMainFrm::setTabWidgetVisibility().

void KMdiDocumentViewTabWidget::updateIconInView | ( | QWidget * | ,
|  | QPixmap |
| ) | `[slot]`

| Change the icon for the tab. Definition at line 84 of file kmdidocumentviewtabwidget.cpp.

void KMdiDocumentViewTabWidget::updateCaptionInView | ( | QWidget * | ,
|  | const QString & |
| ) | `[slot]`

| Change the caption for the tab. Definition at line 89 of file kmdidocumentviewtabwidget.cpp.

The documentation for this class was generated from the following files:

- kmdidocumentviewtabwidget.h
- kmdidocumentviewtabwidget.cpp

This file is part of the documentation for kmdi Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:32:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003